<?php

declare(strict_types=1);

namespace KupShop\PreordersBundle\Admin\lists;

use KupShop\I18nBundle\Admin\lists\TranslateList;
use KupShop\KupShopBundle\Util\Compat\ServiceContainer;
use KupShop\PreordersBundle\Translations\PreordersTranslation;

class TranslatePreordersList extends TranslateList
{
    protected $listType = 'translatePreorders';
    protected $template = 'translateList/preorders.tpl';

    public function __construct()
    {
        $this->translation = ServiceContainer::getService(PreordersTranslation::class);

        parent::__construct();
    }
}

return TranslatePreordersList::class;
